.sidebar {
  min-height: 100vh;
  margin-left: 0;
  -webkit-transition: all .25s ease-out;
  -moz-transition: all .25s ease-out;
  -o-transition: all .25s ease-out;
  transition: all .25s ease-out;
  border: none!important;
  width: 19rem;
}

.sidebar-hide {
  margin-left: 0;
  border: none!important;
  -webkit-transition: all .25s ease-out;
  -moz-transition: all .25s ease-out;
  -o-transition: all .25s ease-out;
  transition: all .25s ease-out;
  width: 0;
}

#sidebar-wrapper .sidebar-heading {
  padding: 0.875rem 1.25rem;
  font-size: 1.2rem;
}

#sidebar-wrapper {
  z-index: 0!important;
}

#sidebar-wrapper .list-group {
  width: 15rem;
}

#page-content-wrapper {
  min-width: 100vw;
  z-index: 1!important;
  background-color: #222222;
}

.page-dark {
  background-color: #222;
  transition: all .25s ease-out;
}

.page-light {
  background-color: #d8d8d8!important;
  transition: all .25s ease-out;
}

#wrapper.toggled #sidebar-wrapper {
  margin-left: 0;
}



/* ================================================================================================ */

textarea {
  resize: none;
  transition: all .25s ease-out;
}

input {
  transition: all .25s ease-out;
}

textarea::selection {
  background-color: #1d1d1d;
}

.text-immersive {
  transition: all .25s ease-out;
  font-size: 25px;
}

.lightarea::selection {
  background-color: #8f8f8f;
  color: #fff;
}

input::selection {
  background-color: #1d1d1d;
}

.lighttitle::selection {
  background-color: #8f8f8f;
  color: #fff;
}

p {
  font-family: 'Share Tech Mono', monospace!important;
}

a, input, textarea, button {
  border: none!important;
  border-radius: none;
  outline: none!important;
  background-color: transparent!important;
  font-family: 'Share Tech Mono', monospace!important;
}

a:focus, input:focus, textarea:focus, button:focus, a:active, input:active, textarea:active, button:active {
  border: none!important;
  outline: none!important;
  box-shadow: none!important;
}

.background {
  position: absolute;
  padding: 30px;
  padding-top: 100px;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;background-color: #d8d8d8;
  color: #272727!important;
  transition: all .25s ease-out;
  overflow: hidden!important;
}

.background textarea {
  color: #272727!important;
  transition: all .25s ease-out;
}

.background input {
  color: #272727!important;
  transition: all .25s ease-out;
}

.background textarea::placeholder{
  color: #272727!important;
  transition: all .25s ease-out;
}

.background input::placeholder{
  color: #272727!important;
  transition: all .25s ease-out;
}

.background-dark {
  position: absolute;
  padding: 30px;
  padding-top: 100px;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;background-color: #222;
  color: white!important;
  transition: all .25s ease-out;
  overflow: hidden!important;
}

.background-dark input, textarea{
  color: white!important;
  transition: all .25s ease-out;
}

.background-dark input::placeholder, textarea::placeholder{
  color: white!important;
  transition: all .25s ease-out;
}

.btn-save {
  position: fixed;
  cursor: pointer;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 80%;
  height: 50px;
}

#close {
  float: right;
  opacity: 0;
  transition: all .2s ease-in;
}

#note {
  cursor: pointer;
  user-select: none;
}

#note:hover #close {
  opacity: 1;
}


/*======= FOOTER =======*/
.foot {
  position: fixed;
  bottom: 0px;
  left: 0px;
  margin: 0!important;
  padding: 0!important;
  width: 100%;
}

.btn-theme {
  position: absolute;
  bottom: 10px;
  left: 10px;
  width: 35px;
  height: 35px;
  border-radius: 500px;
  cursor: pointer;
  transition: all .25s ease-out;
}

.btn-theme-immersive {
  position: absolute;
  bottom: -100px;
  left: -100px;
  width: 35px;
  height: 35px;
  border-radius: 500px;
  transition: all .25s ease-out;
}

.foot-btn {
  background-color: rgb(39, 39, 39);
  transition: all .25s ease-out;
}
.foot-btn-dark {
  background-color: #eee;
  transition: all .25s ease-out;
}



.newNote {
  position: fixed;
  bottom: 0px;
  right: -5px;
  width: 35px;
  height: 35px;
  font-size: 20px;
  overflow: hidden;
  cursor: pointer;
  font-weight: bold;
  z-index: 900!important;
  transition: all .25s ease-out;
}

.newNote-immersive {
  position: fixed;
  bottom: -100px;
  right: -100px;
  width: 35px;
  height: 35px;
  font-size: 20px;
  overflow: hidden;
  z-index: 900!important;
  transition: all .25s ease-out;
}

.btn-open-file {
  position: absolute;
  bottom: -60px;
  right: -5px;
  width: 35px;
  height: 35px;
  font-size: 20px;
  overflow: hidden;
  opacity: 0;
  transition: all .25s linear;
}

.btn-new-note {
  position: absolute;
  bottom: -110px;
  right: -5px;
  width: 35px;
  height: 35px;
  font-size: 20px;
  overflow: hidden;
  opacity: 0;
  transition: all .25s linear;
}

.btn-open-file-show {
  position: absolute;
  bottom: 60px;
  right: -5px;
  width: 35px;
  height: 35px;
  font-size: 20px;
  overflow: hidden;
  opacity: 1;
  transition: all .25s linear;
}

.btn-new-note-show {
  position: absolute;
  bottom: 110px;
  right: -5px;
  width: 35px;
  height: 35px;
  font-size: 20px;
  overflow: hidden;
  opacity: 1;
  transition: all .25s linear;
}


.filepicker{
  -webkit-appearance: none;
  position:absolute;
  top:1px;
  right:1px;
  width: 40px;
  height: 40px;
  text-indent: 100em;
  background: transparent;
  background-size: cover;
  overflow: hidden;
  cursor: pointer;
  outline: none;
}

.addNote {
  cursor: pointer;
}

.info {
  position: relative;
  width: 100%;
}

.info a {
  color: inherit; /* blue colors for links too */
  text-decoration: inherit; /* no underline */
}

.time {
  position: absolute;
  top: -80px;
  right: -5px;
  opacity: 0;
  transition: all .25s ease-out;
  color: darkgray;
  font-size: 12px;
  user-select: none;
}

.immersive {
  position: fixed;
  top: 10px;
  left: 10px;
  opacity: 0;
  transition: all .25s ease-out;
  user-select: none;
  font-size: 30px;
  cursor: pointer;
}

.immersive-on {
  position: fixed;
  top: 10px;
  left: 10px;
  opacity: 0;
  transition: all .25s ease-out;
  user-select: none;
  font-size: 15px;
  cursor: pointer;
}


/*========== CUSTOM SCROLLBAR ==========*/

/* Let's get this party started */
::-webkit-scrollbar {
  width: 8px;
}

/* Track */
::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
  -webkit-border-radius: 10px;
  border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  -webkit-border-radius: 10px;
  border-radius: 10px;
  background: rgba(158, 158, 158, 0.8);
}
::-webkit-scrollbar-thumb:window-inactive {
background: rgba(138, 138, 138, 0.8);
}


/* ================================================================================================ */

@media (min-width: 768px) {
  #sidebar-wrapper {
    margin-left: 0;
  }

  .time { opacity: 1; }
  .immersive { opacity: 1; }

  #page-content-wrapper {
    min-width: 0;
    width: 100%;
  }

  #wrapper.toggled #sidebar-wrapper {
    margin-left: -15rem;
  }
}
